name: examples
url: https://gitlab.science.ru.nl/sustrainable/summerschool-2023
maintainer: Mart Lubbers
contact_email: mart@cs.ru.nl
description: Sustrainable 2023 summer school examples
version: 1.0.0
license: BSD-2-Clause
type: Application

clm_options:
  bytecode: prelinked
  compiler: cocl-itasks
  export_local_labels: true
  fusion: GenericFusion
  generate_descriptors: true
  heap: 500M
  post_link: web-resource-collector
  print_result: false
  print_time: false
  strip: false

# Dependencies
dependencies:
  base: ^1.0
  mtask-server: ^0.3.1
  mtask-client-desktop: ^0.3

build:
  helloworld:
    script:
      - clm:
          main: helloworld
          target: ./helloworld
  walking:
    script:
      - clm:
          main: walking
          target: ./walking
  colors:
    script:
      - clm:
          main: colors
          target: ./colors
  temperature:
    script:
      - clm:
          main: temperature
          target: ./temperature
  airquality0:
    script:
      - clm:
          main: airquality0
          target: ./airquality0
  airquality1:
    script:
      - clm:
          main: airquality1
          target: ./airquality1
  airquality2:
    script:
      - clm:
          main: airquality2
          target: ./airquality2
